Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net
Class SslSocketManager

    java.lang.Object
      org.apache.logging.log4j.core.appender.AbstractManager
          org.apache.logging.log4j.core.appender.OutputStreamManager
              org.apache.logging.log4j.core.net.AbstractSocketManager
                  org.apache.logging.log4j.core.net.TcpSocketManager
                      org.apache.logging.log4j.core.net.SslSocketManager

    public class SslSocketManager

extends TcpSocketManager

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.logging.log4j.core.net.TcpSocketManager
`TcpSocketManager.TcpSocketManagerFactory`

Field Summary
`static int` | `DEFAULT_PORT`

Fields inherited from class org.apache.logging.log4j.core.net.TcpSocketManager
`DEFAULT_RECONNECTION_DELAY_MILLIS`

Fields inherited from class org.apache.logging.log4j.core.net.AbstractSocketManager
`host, inetAddress, port`

Fields inherited from class org.apache.logging.log4j.core.appender.OutputStreamManager
`layout`

Fields inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`count, LOGGER`

Constructor Summary
`SslSocketManager(String name, OutputStream os, Socket sock, SslConfiguration sslConfig, InetAddress inetAddress, String host, int port, int connectTimeoutMillis, int delay, boolean immediateFail, Layout<? extends Serializable> layout)`

Method Summary
`protected Socket` | `createSocket(String host, int port)`
`static SslSocketManager` | `getSocketManager(SslConfiguration sslConfig, String host, int port, int connectTimeoutMillis, int delayMillis, boolean immediateFail, Layout<? extends Serializable> layout)`

Methods inherited from class org.apache.logging.log4j.core.net.TcpSocketManager
`close, createSocket, getConnectTimeoutMillis, getContentFormat, getSocketManager, write`

Methods inherited from class org.apache.logging.log4j.core.appender.OutputStreamManager
`flush, getManager, getOutputStream, isOpen, releaseSub, setOutputStream, write, writeFooter`

Methods inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`getCount, getName, hasManager, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

Constructor Detail

### SslSocketManager

    public SslSocketManager(String name,
                            OutputStream os,
                            Socket sock,
                            SslConfiguration sslConfig,
                            InetAddress inetAddress,
                            String host,
                            int port,
                            int connectTimeoutMillis,
                            int delay,
                            boolean immediateFail,
                            Layout<? extends Serializable> layout)

Parameters:
  `name` - The unique name of this connection.
  `os` - The OutputStream.
  `sock` - The Socket.
  `inetAddress` - The Internet address of the host.
  `host` - The name of the host.
  `port` - The port number on the host.
  `connectTimeoutMillis` - the connect timeout in milliseconds.
  `delay` - Reconnection interval.
  `immediateFail` -
  `layout` - The Layout.

Method Detail

### getSocketManager

    public static SslSocketManager getSocketManager(SslConfiguration sslConfig,
                                                    String host,
                                                    int port,
                                                    int connectTimeoutMillis,
                                                    int delayMillis,
                                                    boolean immediateFail,
                                                    Layout<? extends Serializable> layout)

### createSocket

    protected Socket createSocket(String host,
                                  int port)
                           throws IOException

  Overrides:
    `createSocket` in class `TcpSocketManager`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.